## abi-compliance-checker 2.3

=== Makefile ===
prefix ?= /usr

.PHONY: all

all:
	echo "Nothing to build."

install:
	perl Makefile.pl -install -prefix "$(prefix)"

uninstall:
	perl Makefile.pl -remove -prefix "$(prefix)"

clean:
	echo "Nothing to clean up."

## abi-compliance-checker 1.99.8

=== debian/changelog ===
abi-compliance-checker (1.99.8-1) unstable; urgency=low

  * New upstream release
    - Fixed compatibility with gcc-4.8
  * Update watch file to point at github

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 01 Aug 2013 10:52:43 +0100

abi-compliance-checker (1.99.7-1) unstable; urgency=low

  * New upstream
    - Fixed default arguments of methods (broken in 1.99.1)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 29 Jul 2013 21:56:09 +0200

abi-compliance-checker (1.99.1-1) unstable; urgency=low

  [ James Hunt ]
  * Added DEP-8 self-test. Closes: #709357

  [ Mathieu Malaterre ]
  * New upstream, upload to sid
  * Update man page, suggests icheck
  * Recommends ctags. Closes: #711503
  * Remove patches applied upstream:
    - d/p/allow-suffix-on-dumps.patch 

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jun 2013 10:45:46 +0200

abi-compliance-checker (1.98.8-1~exp1) experimental; urgency=low

  * New upstream release
  * Add dh_acc to generate and compare library dumps at build time,
    together with addons for dh(7) and cdbs.
  * Bump standards version, bump debhelper to 9, use 3.0 (quilt) format,
    update Vcs-Svn field to canonical form, remove obsolete
    DM-Upload-Allowed.
  * Apply a patch to allow suffixes on a-c-c abi dumps.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 19 Apr 2013 16:56:57 +0100

abi-compliance-checker (1.97.7-1) unstable; urgency=low

  * New upstream
    - Optimization of memory usage (5%-10%) and performance (5%-10%)
    - Improved support for GCC 4.0-4.5
    - New Options: -open -sort
  * Move doc-base to Suggest. Closes: #673091
  * Fix man page using --info to report all command line options

 -- Mathieu Malaterre <malat@debian.org>  Thu, 31 May 2012 14:21:07 +0200

abi-compliance-checker (1.97.5-1) unstable; urgency=low

  * New upstream
    - Add support for GCC 4.7
    - Optimization of memory usage (20%-30%) and performance (10%-20%)
  * Install documentation using doc-base
  * Remove usage of pwd in d/rules

 -- Mathieu Malaterre <malat@debian.org>  Tue, 15 May 2012 10:22:06 +0200

abi-compliance-checker (1.97.3-1) unstable; urgency=low

  * New upsteam:
   - checks both binary and source-level compatibility issues with C/C++ APIs
  * fix lintian warning for the manpage

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Apr 2012 15:46:42 +0200

abi-compliance-checker (1.96.8-1) unstable; urgency=low

  * New release (add --headers-list and --lang options).
  * Bump Standard-Version to 3.9.3, no changes needed.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 05 Mar 2012 10:39:04 +0100

abi-compliance-checker (1.96.1-2) unstable; urgency=low

  * Update man page. Closes: #568655

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 25 Jan 2012 11:41:17 +0100

abi-compliance-checker (1.96.1-1) unstable; urgency=low

  * New upstream 1.96.1. Closes: #568650, #598798
  * Fix typo in d/control. Closes: #592975
  * Fix d/watch file

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 21 Dec 2011 09:34:38 +0100

abi-compliance-checker (1.6-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New Upstream Version
  * improve short description from to meet devrefs suggestions
  * Debian Policy 3.8.3
  * reqiure debhelper 7.0.50
  * adjustements to the manpage to fix man errors
  * fix hyphen minus signs in manpage
  * s/This/abi-compliance-checker/ in long description

  [ Paul Sladen ]
  * Include handwritten manpage
  + Remove help2man dependency
  * debian/watch: Case insentisve match (WikiMedia CamelCasing)
  * debian/copyright:
  + add copyright year
  + expand "RAS" to Russian Academy of Sciences
  + add email address for upstream maintainer
  * debian/control: tweak Description:

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 02 Sep 2009 17:29:18 -0700

abi-compliance-checker (1.1-1) unstable; urgency=low

  * Initial release (Closes: #540247)

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 06 Aug 2009 14:43:30 -0700

=== debian/control ===
Source: abi-compliance-checker
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Maintainer: Ryan Niebur <ryanryan52@gmail.com>
Uploaders: Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.4
Homepage: http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/abi-compliance-checker/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/abi-compliance-checker/trunk/
XS-Testsuite: autopkgtest

Package: abi-compliance-checker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, gcc, binutils
Recommends: ctags
Suggests: doc-base, icheck
Description: tool to compare ABI compatibility of shared C/C++ library versions
 abi-compliance-checker can be used to help reduce the possibility of
 an application crashing when the shared libraries it links against
 have changed.  Signatures and data type definitions from two separate
 versions of a library are compared by examining the shared objects
 (.so) files themselves, and by analysing the header files (.h)
 provided for the two versions of the library and their dependencies.
 .
 Shared library developers trying to strive for binary compatibility
 between releases may also use this tool to detect if an any
 accidental application binary interface (ABI) changes have been
 introduced.
 .
 The checker may also be used for assessing binary compatibility
 between different Linux distributions.

Package: dh-acc
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker
Description: debhelper addon to compare ABI compatibility of shared C/C++ library versions
 dh-acc is an addon to facilitate generating ABI compatibility reports
 by comparing known ABI dumps with newly build ABI at Debian package
 build time. Thus providing monitoring and early detection of ABI
 breaks in shared libraries.
 .
 This package provides dh sequence addon and cdbs integration snippet.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/tmp/usr
	perl Makefile.pl -install --prefix=$(CURDIR)$(DESTDIR)/debian/tmp/usr

override_dh_installchangelogs:
	dh_installchangelogs doc/Changes.html

debian/abi-compliance-checker.1: debian/abi-compliance-checker.1.in
	help2man --help-option=--info --include=debian/abi-compliance-checker.1.in \
		--output=$@ --no-info abi-compliance-checker

debian/dh/dh_acc.1: debian/dh/dh_acc
	pod2man -r "dh-acc v$(DEB_VERSION)" -c dh-acc $< $@

build: debian/dh/dh_acc.1

get-orig-source:
	uscan --download --force-download --rename

## abi-compliance-checker 1.99.9

=== debian/changelog ===
abi-compliance-checker (1.99.9-1) unstable; urgency=low

  * New upstream. Closes: #735684
  * Refresh patch since gcc 4.8.2 is known to be fixed in debian

 -- Mathieu Malaterre <malat@debian.org>  Sat, 01 Feb 2014 11:51:56 +0100

abi-compliance-checker (1.99.8.5-4) unstable; urgency=medium

  * Change "gcc, binutils" depends to "build-essential" as DEP8 runner
    demonstrates, "gcc & binutils" alone are not enough to execute and
    verify that abi-compliance-checker is properly operational. The
    increase in pulled in dependencies is small, and most of the time is
    already installed in environments where people want to execute
    abi-compiance-checker.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jan 2014 14:30:01 +0000

abi-compliance-checker (1.99.8.5-3) unstable; urgency=medium

  * Team upload
  * Remove gcc version check, gcc is fixed in debian. This should also
    resolve autopackage DEP8 test failure as seen at
    http://ci.debian.net/#package/abi-compliance-checker

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 Jan 2014 14:55:10 +0000

abi-compliance-checker (1.99.8.5-2) unstable; urgency=low

  * New upstream
    + add new options: -affected-limit/-cpp-incompatible

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 15:19:48 +0200

abi-compliance-checker (1.99.8.2-1) unstable; urgency=low

  * New upstream
  * Make sure dh_acc pulls a-c-c (= ${binary:Version})
  * Automate man page generation

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Aug 2013 14:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: abi-compliance-checker
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), help2man
 Maintainer: Ryan Niebur <ryanryan52@gmail.com>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Standards-Version: 3.9.4
@@ -12,7 +12,7 @@
 
 Package: abi-compliance-checker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, gcc, binutils
+Depends: ${perl:Depends}, ${misc:Depends}, build-essential
 Recommends: ctags
 Suggests: doc-base, icheck
 Description: tool to compare ABI compatibility of shared C/C++ library versions
@@ -33,7 +33,7 @@
 
 Package: dh-acc
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker
+Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker (= ${binary:Version})
 Description: debhelper addon to compare ABI compatibility of shared C/C++ library versions
  dh-acc is an addon to facilitate generating ABI compatibility reports
  by comparing known ABI dumps with newly build ABI at Debian package

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,18 @@
 	dh_installchangelogs doc/Changes.html
 
 debian/abi-compliance-checker.1: debian/abi-compliance-checker.1.in
-	help2man --help-option=--info --include=debian/abi-compliance-checker.1.in \
-		--output=$@ --no-info abi-compliance-checker
+	# remove '.pl' from the generated man page by help2man:
+	ln abi-compliance-checker.pl abi-compliance-checker
+	help2man --help-option=--info --include=$< \
+		--output=$@ --no-info ./abi-compliance-checker
+
+override_dh_clean:
+	dh_clean abi-compliance-checker
 
 debian/dh/dh_acc.1: debian/dh/dh_acc
 	pod2man -r "dh-acc v$(DEB_VERSION)" -c dh-acc $< $@
 
-build: debian/dh/dh_acc.1
+build: debian/dh/dh_acc.1 debian/abi-compliance-checker.1
 
 get-orig-source:
 	uscan --download --force-download --rename

=== debian/tests/control ===
Tests: self_test
Depends: @

## abi-compliance-checker 1.99.14

=== debian/changelog ===
abi-compliance-checker (1.99.14-1) unstable; urgency=medium

  * New release. Refresh patches.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Nov 2015 21:42:20 +0100

abi-compliance-checker (1.99.11-1) unstable; urgency=medium

  * New upstream
  * Bump Std-Vers to 3.9.6, no changes needed
  * drop timestamp from generated HTML reports. Closes: #798470 
  * make the generated .abi.tar.gz files reproducible. Closes: #798481

 -- Mathieu Malaterre <malat@debian.org>  Wed, 16 Sep 2015 21:53:39 +0200

abi-compliance-checker (1.99.9-2) unstable; urgency=low

  * dh-acc should depend on debhelper. Closes: #749907
  * use --prefix/--destdir for reproducible builds. Closes: #739319
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sat, 05 Jul 2014 14:39:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), help2man
 Maintainer: Ryan Niebur <ryanryan52@gmail.com>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/abi-compliance-checker/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/abi-compliance-checker/trunk/
@@ -12,7 +12,7 @@
 
 Package: abi-compliance-checker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, build-essential
+Depends: build-essential, ${misc:Depends}, ${perl:Depends}
 Recommends: ctags
 Suggests: doc-base, icheck
 Description: tool to compare ABI compatibility of shared C/C++ library versions
@@ -33,7 +33,10 @@
 
 Package: dh-acc
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker (= ${binary:Version})
+Depends: abi-compliance-checker (= ${binary:Version}),
+         debhelper,
+         ${misc:Depends},
+         ${perl:Depends}
 Description: debhelper addon to compare ABI compatibility of shared C/C++ library versions
  dh-acc is an addon to facilitate generating ABI compatibility reports
  by comparing known ABI dumps with newly build ABI at Debian package

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,25 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
+
 include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
 
+override_dh_auto_build:
+	# nothing
+
 override_dh_auto_install:
 	mkdir -p $(CURDIR)$(DESTDIR)/debian/tmp/usr
-	perl Makefile.pl -install --prefix=$(CURDIR)$(DESTDIR)/debian/tmp/usr
+	perl Makefile.pl --prefix=/usr --destdir=$(CURDIR)$(DESTDIR)/debian/tmp -install
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/Changes.html
+	dh_installchangelogs doc/Changelog.html
 
 debian/abi-compliance-checker.1: debian/abi-compliance-checker.1.in
 	# remove '.pl' from the generated man page by help2man:
 	ln abi-compliance-checker.pl abi-compliance-checker
+	chmod +x abi-compliance-checker
 	help2man --help-option=--info --include=$< \
 		--output=$@ --no-info ./abi-compliance-checker

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/lvc/abi-compliance-checker/tags .*/v?(\d\S*)\.tar\.gz

## abi-compliance-checker 1.99.22

=== debian/changelog ===
abi-compliance-checker (1.99.22-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Jul 2016 21:24:11 +0200

abi-compliance-checker (1.99.20-3) unstable; urgency=medium

  * Fix copyright file missing. Closes: #825556

 -- Mathieu Malaterre <malat@debian.org>  Wed, 01 Jun 2016 17:47:57 +0200

abi-compliance-checker (1.99.20-2) unstable; urgency=medium

  * Make sure to build manpage during indep build.

 -- Mathieu Malaterre <malat@debian.org>  Mon, 23 May 2016 09:55:55 +0200

abi-compliance-checker (1.99.20-1) unstable; urgency=medium

  * New release. Closes: #825053. Remove patches applied upstream:
    - d/p/bug798470.patch
    - d/p/bug805441.patch
  * Bump Std-Vers to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 23 May 2016 09:09:59 +0200

abi-compliance-checker (1.99.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore support for GNU/Hurd - backport from upstream (Closes: #805441)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 08 May 2016 06:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), help2man
 Maintainer: Ryan Niebur <ryanryan52@gmail.com>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/abi-compliance-checker/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/abi-compliance-checker/trunk/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	# nothing

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/tmp/usr
	perl Makefile.pl --prefix=/usr --destdir=$(CURDIR)$(DESTDIR)/debian/tmp -install

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog.html

debian/abi-compliance-checker.1: debian/abi-compliance-checker.1.in
	help2man --help-option=--info --include=$< \
		--output=$@ --no-info debian/tmp/usr/bin/abi-compliance-checker

override_dh_clean:
	dh_clean debian/dh/dh_acc.1
	dh_clean debian/abi-compliance-checker.1

debian/dh/dh_acc.1: debian/dh/dh_acc
	pod2man -r "dh-acc v$(DEB_VERSION)" -c dh-acc $< $@

# first rule after dh_install should be ok:
override_dh_installdocs: debian/dh/dh_acc.1 debian/abi-compliance-checker.1
	dh_installdocs

get-orig-source:
	uscan --download --force-download --rename

## abi-compliance-checker 2.2

=== debian/changelog ===
abi-compliance-checker (2.2-2ubuntu1) bionic; urgency=medium

  * Add detect-gcc7.patch to fix detection of our GCC which was configured
    with --with-gcc-major-version-only option.
  * Add objdump-redirect-stderr.patch to get rid of useless stderr output
    in autopkgtests using dh_acc.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 14 Nov 2017 12:37:11 +0300

abi-compliance-checker (2.2-2) unstable; urgency=medium

  * Update Std-Vers to 4.1.0, no changes needed
  * Fix lintian warning: privacy-breach-logo

 -- Mathieu Malaterre <malat@debian.org>  Wed, 20 Sep 2017 14:24:17 +0200

abi-compliance-checker (2.2-1) unstable; urgency=medium

  * New upstream release: 2.2. Remove patches:
    - d/p/emergency-mode.patch
    - d/p/fix-test-compilation.patch
    - d/p/remove-gcc-check.patch
  * Remove Ryan Niebur from Uploaders. Closes: #856362.
    Thanks for your work !

 -- Mathieu Malaterre <malat@debian.org>  Fri, 15 Sep 2017 21:44:01 +0200

abi-compliance-checker (1.99.22-1.1) unstable; urgency=high

  [ Dmitry Shachnev ]
  * Add a patch to fix tests compilation with new GCC.
  * Add a patch to not rely on GCC for symbols mangling, it is not working
    with GCC 6 and GCC 7 because of PR c++/78040.

  [ Gianfranco Costamagna ]
  * Non-maintainer upload
  * Fix autopkgtests, due to bad doit call (Closes: #868473)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2017 07:51:53 +0200

## abi-compliance-checker 2.3

=== debian/changelog ===
abi-compliance-checker (2.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
    NB: I used to maintain that package, so the amount of
    changes here seems alright.
  * XS-Testsuite is not needed with debian/tests/control
  * Switch to debian-watch 5 format
  * get-orig-source is an unnecessary target
  * Extend patch to fix privacy breach
  * Modernize a bit d/rules
  * Drop unused CDBS integration. Closes:#1112624.
  * patch: fix test builds with gcc 15. Closes: #1119841.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Nov 2025 12:18:17 +0100

abi-compliance-checker (2.3-3) unstable; urgency=medium

  * patch: include stdlib.h in sample used for tests. Closes: #1108827.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Jul 2025 12:07:25 +0200

abi-compliance-checker (2.3-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Point to actual correct homepage

  [ Steve Langasek ]
  * d/patches: Fix Invalid use of Perl "next". Closes: #951076
  * d/patches: uses inconsitent flags to GCC for C code. Closes: #1030540

  [ Mathieu Malaterre ]
  * d/s/lintian-overrides: remove warning about doc/index.html
  * d/control: Bump Std-Vers to 4.6.2 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 23 Feb 2023 08:27:46 +0100

abi-compliance-checker (2.3-1) unstable; urgency=medium

  * d/patches: statx and statx_timestamp need to be skipped. Closes: #916294
  * d/control: Update location of source code
  * d/control: Update new Vcs locations
  * d/compat: Move to compat 10
  * d/control: Bumpt Std-Vers to 4.6.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 09 Dec 2021 07:55:56 +0100

abi-compliance-checker (2.3-0.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Steve Langasek ]
  * debian/patches/fpic-for-arm64.patch: require -fPIC on arm64 in
    addition to x86_64 and arm (Closes: #907604).
  * debian/patches/oom-exec-helper.patch: Run packing commands in a
    subprocess (Closes: #907602).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Sep 2018 10:28:14 +0200

abi-compliance-checker (2.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #904126)
  * Update copyright and licenses

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 20:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: abi-compliance-checker
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), help2man
-Maintainer: Ryan Niebur <ryanryan52@gmail.com>
-Uploaders: Mathieu Malaterre <malat@debian.org>
-Standards-Version: 3.9.8
-Homepage: http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/abi-compliance-checker/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/abi-compliance-checker/trunk/
-XS-Testsuite: autopkgtest
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~), help2man
+Maintainer: Mathieu Malaterre <malat@debian.org>
+Standards-Version: 4.7.2
+Homepage: https://lvc.github.io/abi-compliance-checker/
+Vcs-Browser: https://salsa.debian.org/debian/abi-compliance-checker
+Vcs-Git: https://salsa.debian.org/debian/abi-compliance-checker.git
 
 Package: abi-compliance-checker
 Architecture: all
@@ -43,4 +41,4 @@
  build time. Thus providing monitoring and early detection of ABI
  breaks in shared libraries.
  .
- This package provides dh sequence addon and cdbs integration snippet.
+ This package provides dh sequence addon integration snippet.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	help2man --help-option=--info --include=$< \
 		--output=$@ --no-info debian/tmp/usr/bin/abi-compliance-checker
 
-override_dh_clean:
+execute_after_dh_clean:
 	dh_clean debian/dh/dh_acc.1
 	dh_clean debian/abi-compliance-checker.1
 
@@ -28,8 +28,6 @@
 	pod2man -r "dh-acc v$(DEB_VERSION)" -c dh-acc $< $@
 
 # first rule after dh_install should be ok:
-override_dh_installdocs: debian/dh/dh_acc.1 debian/abi-compliance-checker.1
-	dh_installdocs
+execute_after_dh_installdocs: debian/dh/dh_acc.1 debian/abi-compliance-checker.1
+	sed -i -e 's@https://s3.amazonaws.com/github/ribbons/@@' ./debian/abi-compliance-checker/usr/share/doc/abi-compliance-checker/*.html
 
-get-orig-source:
-	uscan --download --force-download --rename

=== debian/tests/control ===
Tests: self-test
Depends: @

=== debian/watch ===
Version: 5

Template: Github
Owner: lvc
Project: abi-compliance-checker
